from setuptools import find_packages
from setuptools import setup

with open("README.md", "r") as fh:
    long_description = fh.read()

setup(
    name="docums-simple-hooks",
    version="0.1.5",
    author="NKDuy",
    author_email="kn145660@gmail.com",
    description="Define your own hooks for docums, without having to create a new package.",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/khanhduy1407/docums-simple-hooks",
    license="MIT",
    packages=find_packages(),
    install_requires=["docums>=1.2.0"],
    extras_require={"test": ["pytest>=4.0", "pytest-cov"]},
    include_package_data=True,
    zip_safe=False,
    entry_points={
        "docums.plugins": [
            "docums-simple-hooks = docums_simple_hooks:SimpleHooksPlugin"
        ]
    },
    classifiers=[
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
        "Intended Audience :: Developers",
        "Topic :: Documentation",
    ],
)
